#coding:utf-8
from PyQt4 import QtGui
from PyQt4 import QtCore
from os import getenv
class AppActivTop(QtGui.QLabel):
    """
    """
    def __init__(self,parent=None):
        QtGui.QLabel.__init__(self,parent)
        self.setAttribute(QtCore.Qt.WA_DeleteOnClose)
        self.imagePath=getenv("WIN_UI_IMAGES_PATH")
        self.setGeometry(0,0,parent.geometry().width(),34)
        self.setStyleSheet("QLabel{background-color: rgba(255, 255, 255, 43);}")
        self.allClose=QtGui.QPushButton(self)
        self.allClose.setGeometry(self.geometry().width()-8-68,6,68,22)
        self.allClose.setStyleSheet("QPushButton{border-image: url(%s/appImage/allClose1.png);background:transparent;}""QPushButton:hover{border-image: url(%s/appImage/allClose2.png);background:transparent;}"%(self.imagePath,self.imagePath))
        self.connect(self.allClose,QtCore.SIGNAL('clicked()'),parent.closeAll)

